---
title: 'ARIA: tabpanel role'
slug: 'Web/Accessibility/ARIA/Roles/ARIA:_tabpanel_role'
tags:
  - ARIA
  - ARIA Role
  - ARIA Tab
  - ARIA Tabpanel
  - ARIA widget
  - Reference
---
<div>{{Page("/en-US/docs/Web/Accessibility/ARIA/Roles", "Subnav")}}</div>

<p>{{draft}}</p>

<p>The ARIA tabpanel role indicates</p>

<pre class="brush: html"> </pre>

<h2 id="Description">Description</h2>

<p>An element with the <code>tabpanel</code> role</p>

<h3 id="Associated_Roles_and_Attributes">Associated Roles and Attributes</h3>

<dl>
 <dt>aria-</dt>
</dl>

<h3 id="Keyboard_interaction">Keyboard interaction</h3>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Key</th>
   <th scope="col">Action</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><kbd>Tab</kbd></td>
   <td> </td>
  </tr>
  <tr>
   <td><kbd>→</kbd></td>
   <td> </td>
  </tr>
  <tr>
   <td><kbd>←</kbd></td>
   <td> </td>
  </tr>
  <tr>
   <td><kbd>Delete</kbd></td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h3 id="Required_JavaScript_features">Required JavaScript features </h3>

<div class="note">
<p>Include note about semantic alternatives to using this role or attribute. <span class="ILfuVd yZ8quc">The first rule of ARIA use is you can use a native feature with the semantics and behavior you require already built in, instead of re-purposing an element and <strong>adding</strong> an ARIA role, state or property to make it accessible, then do so. Then post full details in best practices section below.</span></p>
</div>

<h2 id="Examples">Examples</h2>

<p>Fill in a simple example that nicely shows a typical usage of the property, then perhaps some more complex examples (see our guide on how to add <a href="/en-US/docs/MDN/Contribute/Structures/Code_examples">code examples</a> for more information).</p>

<pre class="brush: html">&lt;div role="tablist"&gt;
&lt;div role="tab" aria-selected="true" aria-controls="tabpanel-id"
id="tab-id" tabindex="0"&gt;Tab label&lt;/div&gt; </pre>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>Optionally, warn of any potential accessibility concerns that exist with using this property, and how to work around them. Remove this section if there are none to list.</p>

<h2 id="Best_practices">Best practices</h2>

<p>Optionally, here list any best practices that exist for this role. Remove the section if none exist.</p>

<h3 id="Added_benefits">Added benefits</h3>

<p>Any additional benefits this feature has for non-typical screen reader users, like Google or mobile speech recognition.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName("ARIA","#tabpanel","tabpanel")}}</td>
   <td>{{Spec2('ARIA')}}</td>
  </tr>
  <tr>
   <td>{{SpecName("ARIA Authoring Practices","#tabpanel","tabpanel")}}</td>
   <td>{{Spec2('ARIA Authoring Practices')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Precedence_order">Precedence order</h2>

<p>What are the related properties, and in what order will this attribute or property be read (which property will take precendence over this one, and which property will be overwritten.</p>

<h2 id="Screen_reader_support">Screen reader support</h2>

<p>TBD</p>
